<?php
include_once($path_to_root . "/includes/date_functions.inc");

function datetime_greaterthan($time1, $time2) {
    $d1 = new DateTime($time1);
    $d2 = new DateTime($time2);
    return $d1>$d2;
}

function datetime_comp($time1, $time2) {
    $d1 = new DateTime($time1);
    $d2 = new DateTime($time2);
    if($d1>$d2){
        return 1;
    } else if ($d1<$d2){
        return -1;
    } else if ($d1==$d2){
        return 0;
    }
}
function time1_greater_time2($time1, $time2) {

    /* returns 1 true if date1 is greater than date_ 2 */

    @list($hr1, $min1, $sec1) = explode(":", $time1);
    @list($hr2, $min2, $sec2) = explode(":", $time2);

    if ($hr1 > $hr2) {
        return 1;
    } elseif ($hr1 == $hr2) {
        if ($min1 > $min2) {
            return 1;
        } elseif ($min1 == $min2) {
            if ($sec1 > $sec2) {
                return 1;
            }
        }
    }
    return 0;
}

function time_diff2_min($date_1, $date_2) {
    $datetime1 = new DateTime($date_1);
    $datetime2 = new DateTime($date_2);
    $interval = $datetime1->diff($datetime2);

    $days_min = $interval->format('%a') * 24 * 60;
    $hours_min = $interval->format('%h') * 60;
    $min = $interval->format('%i');
    $sec = $interval->format('%s') / 60;
    return $min + $days_min + $hours_min + $sec;
}

function time_diff2($date_1, $date_2, $differenceFormat = '%a') {
    $datetime1 = new DateTime($date_1);
    $datetime2 = new DateTime($date_2);

    $interval = $datetime1->diff($datetime2);

    return $interval->format($differenceFormat);
}

